/* POIProxy. A proxy service to retrieve POIs from public services
 *
 * Copyright (C) 2011 Alberto Romeu.
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
 *
 * For more information, contact:
 *
 *   Prodevelop, S.L.
 *   Pza. Don Juan de Villarrasa, 14 - 5
 *   46001 Valencia
 *   Spain
 *
 *   +34 963 510 612
 *   +34 963 510 968
 *   aromeu@prodevelop.es
 *   http://www.prodevelop.es
 *   
 *   2011.
 *   author Alberto Romeu aromeu@prodevelop.es  
 *   
 */

package es.alrocar.poiproxy.configuration;

import es.alrocar.poiproxy.proxy.POIProxy;

/**
 * Optional parameters that comes from a request to {@link POIProxy}
 * 
 * @author albertoromeu
 * 
 */
public class Param {

	public static String QUERY = "query";
	public static String SERVICE = "service";
	public static String X = "x";
	public static String Y = "y";
	public static String Z = "z";
	public static String MINX = "minX";
	public static String MINY = "minY";
	public static String MAXX = "maxX";
	public static String MAXY = "maxY";
	public static String LON = "lon";
	public static String LAT = "lat";
	public static String DIST = "dist";
	public static String CALLBACK = "callback";

	private String type;
	private String value;

	/**
	 * Constructor
	 * 
	 * @param type
	 * 
	 *            {@value #QUERY} {@value #SERVICE} {@value #X} {@value #Y}
	 *            {@value #Z} {@value #MINX} {@value #MINY} {@value #MAXX}
	 *            {@value #MAXY} {@value #LON} {@value #LAT} {@value #DIST}
	 *            {@value #CALLBACK}
	 * @param value
	 */
	public Param(String type, String value) {
		this.type = type;
		this.value = value;
	}

	public String getType() {
		return type;
	}

	public void setType(String type) {
		this.type = type;
	}

	public String getValue() {
		return value;
	}

	public void setValue(String value) {
		this.value = value;
	}

}
